@import '../../theme-variables';

:host {
    .wrapper {
        margin: 20px auto;
        padding: 0 200px;
        color: mix(black, $muted-color, 25%);

        .actions {
            display: flex;
            justify-content: flex-end;
            margin: 0 0 30px;
        }

        // .loader-container {
        //     // position: fixed;
        //     // top: 50%;
        //     // left: 50%;
        //     background: #292970;
        //     display: flex;
        //     flex-direction: column;
        //     align-items: stretch;
        //     justify-content: center;
        //     align-content: center;
        //   }
          
        //   .flex {
        //     min-height: 60pt;
        //   }
          
        //   @keyframes loading {
        //     0% {
        //       width: 50pt;
        //       height: 50pt;
        //       margin-top: 0;
        //     }
        //     25% {
        //       height: 4pt;
        //       margin-top: 23pt;
        //     }
        //     50% {
        //       width: 4pt;
        //     }
        //     75% {
        //       width: 50pt;
        //     }
        //     100% {
        //       width: 50pt;
        //       height: 50pt;
        //       margin-top: 0;
        //     }
        //   }
          
        //   .loader {
        //     width: 50pt;
        //     height: 50pt;
        //     border-radius: 100%;
        //     border: #6767fa 4pt solid;
        //     margin-left: auto;
        //     margin-right: auto;
        //     background-color: transparent;
        //     animation: loading 1s infinite;
        //   }
          
        //   .load-text {
        //     padding-top: 15px;
        //     text-align: center;
        //     font: 14pt "Helvetica Neue", Helvetica, Arial, sans-serif;
        //     color: lighten(#6767fa, 75%);
        //   }

        .mask {
            background: rgba(0, 0, 0, 0.45);
            color: #fff;
            font-family: sans-serif;
            font-size: 14px;
            height: 100%;
            left: 0;
            position: fixed;
            top: 0;
            width: 100%;
            z-index: 10000;

            .loader {
                width: 150px;
                height: 150px;
                line-height: 150px;
                margin: 300px auto;
                position: relative;
                box-sizing: border-box;
                text-align: center;
                z-index: 0;
                text-transform: uppercase;
              }
              
              .loader:before,
              .loader:after {
                opacity: 0;
                box-sizing: border-box;
                content: "\0020";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                border-radius: 100px;
                border: 5px solid #fff;
                box-shadow: 0 0 50px #fff, inset 0 0 50px #fff;
              }
              
              .loader:after {
                z-index: 1;
                -webkit-animation: gogoloader 2s infinite 1s;
              }
              
              .loader:before {
                z-index: 2;
                -webkit-animation: gogoloader 2s infinite;
              }
              
              @-webkit-keyframes gogoloader {
                0% {
                  -webkit-transform: scale(0);
                  opacity: 0;
                }
                50% {
                  opacity: 1;
                }
                100% {
                  -webkit-transform: scale(1);
                  opacity: 0;
                }
              }
        }
    }
}